package com.palidinodh.osrsscript.map.area.asgarnia.falador.handler.npcspawn;

import java.util.ArrayList;
import java.util.List;
import com.palidinodh.osrscore.io.cache.id.NpcId;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawn;
import com.palidinodh.osrscore.model.entity.npc.spawn.NpcSpawnHandler;
import com.palidinodh.osrscore.model.tile.Tile;
import lombok.var;

class FaladorNpcSpawns implements NpcSpawnHandler {
  @Override
  public List<NpcSpawn> getSpawns() {
    var spawns = new ArrayList<NpcSpawn>();

    spawns.add(new NpcSpawn(NpcId.SIR_VYVIN, new Tile(2979, 3341), 2));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(3016, 3379), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(3020, 3382), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(3019, 3379), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2962, 3360), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2959, 3359), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2956, 3356), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2954, 3352), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2968, 3360), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2972, 3359), 1));
    spawns.add(new NpcSpawn(NpcId.DUCK_1, new Tile(2977, 3358), 1));
    spawns.add(new NpcSpawn(NpcId.HESKEL, new Tile(3008, 3373), 2));
    spawns.add(new NpcSpawn(NpcId.ELSTAN, new Tile(3052, 3304), 2));
    spawns.add(new NpcSpawn(NpcId.WYSON_THE_GARDENER, new Tile(3028, 3379), 2));
    spawns.add(new NpcSpawn(NpcId.BANKER_395, new Tile(2946, 3366), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER_395, new Tile(2945, 3366), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER_395, new Tile(2947, 3366), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER_395, new Tile(2948, 3366), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(2949, 3366), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(2951, 3355), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_22_3270, new Tile(2948, 3375), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_22_3272, new Tile(2952, 3378), 4));
    spawns.add(new NpcSpawn(NpcId.TOWN_CRIER_278, new Tile(2954, 3382), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_19, new Tile(2951, 3382), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_19, new Tile(2959, 3381), 4));
    spawns.add(new NpcSpawn(NpcId.HAIRDRESSER, new Tile(2944, 3380), 4));
    spawns.add(new NpcSpawn(NpcId.FLYNN, new Tile(2950, 3387), 44));
    spawns.add(new NpcSpawn(NpcId.SHOP_KEEPER, new Tile(2956, 3389), 4));
    spawns.add(new NpcSpawn(NpcId.SHOP_KEEPER, new Tile(2959, 3388), 4));
    spawns.add(new NpcSpawn(NpcId.EMILY, new Tile(2954, 3372), 4));
    spawns.add(new NpcSpawn(NpcId.KAYLEE, new Tile(2957, 3370), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_19, new Tile(2964, 3375), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_22_3274, new Tile(2967, 3378), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(2962, 3381), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_22_3272, new Tile(2967, 3384), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(2964, 3385), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_19, new Tile(2964, 3393), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_19, new Tile(2967, 3397), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(2964, 3396), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(2967, 3393), 44));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(2965, 3390), 4));
    spawns.add(new NpcSpawn(NpcId.CASSIE, new Tile(2975, 3383), 4));
    spawns.add(new NpcSpawn(NpcId.ESTATE_AGENT, new Tile(2983, 3369), 1));
    spawns.add(new NpcSpawn(NpcId.MAN_2_3264, new Tile(2989, 3364), 4));
    spawns.add(new NpcSpawn(NpcId.WOMAN_2, new Tile(2990, 3384), 2));
    spawns.add(new NpcSpawn(NpcId.SIR_TIFFY_CASHIEN, new Tile(2997, 3373)));
    spawns.add(new NpcSpawn(NpcId.GARDENER_4, new Tile(2997, 3380), 4));
    spawns.add(new NpcSpawn(NpcId.GARDENER_3, new Tile(3010, 3384), 4));
    spawns.add(new NpcSpawn(NpcId.TOOL_LEPRECHAUN, new Tile(3005, 3370), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.GARDENER_4, new Tile(3015, 3369), 4));
    spawns.add(new NpcSpawn(NpcId.GARDEN_SUPPLIER, new Tile(3016, 3373), 4));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(3010, 3353), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(3011, 3353), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(3012, 3353), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(3013, 3353), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(3014, 3353), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.BANKER, new Tile(3015, 3353), Tile.Direction.NORTH));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(3035, 3354), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_22_3270, new Tile(3041, 3352), 4));
    spawns.add(new NpcSpawn(NpcId.MAN_2_3265, new Tile(3047, 3364), 4));
    spawns.add(new NpcSpawn(NpcId.PARTY_PETE, new Tile(3050, 3377), 8));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(3006, 3321), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(3008, 3321), 4));
    spawns.add(new NpcSpawn(NpcId.GUARD_21_3269, new Tile(3007, 3324), 4));
    spawns.add(new NpcSpawn(NpcId.IMP_7, new Tile(3017, 3323), 8));
    spawns.add(new NpcSpawn(NpcId.WAYNE, new Tile(2971, 3312), 2));
    spawns.add(new NpcSpawn(NpcId.HERQUIN, new Tile(2945, 3334), 2));
    spawns.add(new NpcSpawn(NpcId.IMP_7, new Tile(3008, 3307), 8));
    spawns.add(new NpcSpawn(NpcId.PIG, new Tile(3015, 3310), 2));
    spawns.add(new NpcSpawn(NpcId.PIG_2812, new Tile(3019, 3309), 4));
    spawns.add(new NpcSpawn(NpcId.PIGLET, new Tile(3015, 3307), 4));
    spawns.add(new NpcSpawn(NpcId.PIGLET_2814, new Tile(3017, 3305), 4));
    spawns.add(new NpcSpawn(NpcId.PIGLET_2815, new Tile(3017, 3308), 4));
    spawns.add(new NpcSpawn(NpcId.COW_2, new Tile(3027, 3307), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2_2806, new Tile(3039, 3307), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2_2808, new Tile(3025, 3300), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2_2810, new Tile(3034, 3301), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2, new Tile(3033, 3306), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2_2806, new Tile(3029, 3302), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2_2808, new Tile(3024, 3306), 8));
    spawns.add(new NpcSpawn(NpcId.COW_2_2810, new Tile(3037, 3304), 8));
    spawns.add(new NpcSpawn(NpcId.COW_CALF_2, new Tile(3036, 3309), 8));
    spawns.add(new NpcSpawn(NpcId.COW_CALF_2_2809, new Tile(3030, 3310), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1, new Tile(3015, 3288), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1, new Tile(3018, 3288), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1, new Tile(3019, 3293), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1_2693, new Tile(3016, 3292), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1_2693, new Tile(3017, 3290), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1_2693, new Tile(3018, 3286), 8));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1, new Tile(3023, 3287), 4));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1, new Tile(3033, 3293), 4));
    spawns.add(new NpcSpawn(NpcId.SHEEPDOG, new Tile(3035, 3296)));
    spawns.add(new NpcSpawn(NpcId.SARAH, new Tile(3039, 3292), 4));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1, new Tile(3029, 3285), 4));
    spawns.add(new NpcSpawn(NpcId.CHICKEN_1_2693, new Tile(3035, 3287), 4));
    spawns.add(new NpcSpawn(NpcId.TOOL_LEPRECHAUN, new Tile(3053, 3305)));
    spawns.add(new NpcSpawn(NpcId.CAPTAIN_TOCK, new Tile(3030, 3273)));

    return spawns;
  }
}
